Subject: bug#35858: Null pointer error when partitioning with the graphical installer

From: Ludovic Courtès <[email-masked]>
Date: Tue, 28 May 2019 16:59:50 +0200

Hello Vivien,

Vivien Kraus <[email-masked]> skribis:

> I'm trying to install guix on my system.  I have the 1.0.1 patch, but I
> had the same problem with 1.0.0.

We fixed a bug similar to what you describe in 1.0.1:

  https://issues.guix.gnu.org/issue/35783

Can you confirm that the backtrace you posted comes from 1.0.1 and not
1.0.0?  (It seems to be from 1.0.1 accordingly to the line numbers, but
better be on the safe side.)

> In ice-9/boot-9.scm:
>     829:9 19 (catch srfi-34 #<procedure 22744c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 2214550 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 18 (catch srfi-34 #<procedure 22742c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 2214500 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 17 (catch srfi-34 #<procedure 22740c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 22144b0 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 16 (catch srfi-34 #<procedure 23a3280 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure c19fa0 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
> In ./gnu/installer/steps.scm:
>     182:21 15 (_)
> In ./gnu/installer/newt/partition.scm:
>     755:33 14 (run-partitioning-page)
> In ./gnu/installer/parted.scm:
>     1010:14 13 (auto-partition! #<<disk> bytestructure:
> #<bytestructure 0xbddb10>> #:scheme _)
>     870:21 12 (loop _ _ _)
>     863:17 11 (loop _ 1962582833 967694336)
>     771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure
> 0xbddb10>> _ #:previous-partition _)
> In parted/structs.scm:
>     552:19 9 (pointer->partition _)
>      132:3 8 (pointer->bytestructure #<pointer 0x0>
> #<bytestructure-descriptor 0x251d600>)
> In unknown file:
>            7 (pointer->bytevector #<pointer 0x0> 88 #<undefined>
> #<undefined>)
> In ice-9/boot-9.scm:
>    751:25  6 (dispatch-exception 5 null-pointer-error
> ("pointer->bytevector" "null pointer dereference" () ()))
> In ice-9/eval.scm:
>     619:8  5 (_ #(#(#<directory (guile-user) 68f140>
> #<<installer> name: newt init: #<procedure init()> exit:
> #<procedure exit ()> exit-error: #<procedure exit-error (file
> key args)> final-p...>) ...))
>     619:8  4 (_ #(#(#(#<directory (guile-user) 68f140>
> #<<installer> name: newt init: #<procedure init ()> exit:
> #<procedure exit ()> exit-error: #<procedure exit-error (file
> key args)> fi...>) ...) #))
> In ice-9/ports.scm:
>    462:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
> In ice-9/eval.scm:
>     619:8  2 (_ #(#(#<directory (guile-user) 68f140>
> null-pointer-error ("pointer->bytevector" "null pointer
> dereference" () ())) #<output: /tmp/last-installer-error 12>))
>     159:9  1 (_ #(#(#<directory (guile-user) 68f140>
> null-pointer-error ("pointer->bytevector" "null pointer
> dereference" () ())) #<output: /tmp/last-installer-error 12>))
> In unknown file:
>            0 (make-stack #t)
> ice-9/eval.scm:159:9: In procedure pointer->bytevector: null
> pointer dereference

Is it 100% reproducible for you?

Could you post the output of “fdisk -l /dev/sda” (hit Ctrl-Alt-F3 and
run that command)?

Does the problem occur when you choose the “manual partitioning” method
instead of “guided partitioning”?

Thanks,
Ludo’.